    RCOM2 NEWS - CHANGES BY VERSION


* NEWS 4/1/94 RCOM-2/PC VERSION 2.39  MAJOR UPGRADE!

                NEW F/T AND EMULATION FEATURES

    * ZMODEM, YMODEM and all flavors of XMODEM file transfer have been
    added. Also SUPER KERMIT 

    * IMPROVED file transfer information display box, with elapsed time,
    time left (if the file size is known), bar graph, % complete, cps
    (characters per second), and characters so far.

    * NEW main menu option to allow file transfer options to be set and
    stored.

    * VT220, ANSI, and TV950 terminal types have been added.

    * BEAR BONE$, our famous external IND$FILE protocol is now included
    with the package, to replace our internal IND$FILE. It can be used
    with any communications software to do IND$FILE transfers.

    * New External File Transfer Protocol options lets you add in up 
    to 3 external file transfer protocol programs. You will be able to
    access these protocols from RCOM's own menu or script.


                NEW MODEM AND SERIAL PORT FEATURES
            
    * NEW main menu option to toggle AUTO-ANSWER on your modem.
    
    * NEW PARAMETER FILE string: MODEM initialization string. Any string
    you put here will be sent to your modem (or out your port!) when
    RCOM is first run. You can have a different one for each parameter    
    file, since its stored in the parameter file.  Existing parameter
    files from previous versions will continue to work. The "default"
    modem init string is "ATS0=1" which sets the modem to auto-answer.

    * NEW main menu option to initialize your modem using the new Modem
    Init string in the parameter file.

    * INT14 support to allow network modem sharing.

    * NEW UPGRADED serial port functions have been added. These take
    advantage of the 16550 Uart Chip FIFO buffers.

    * New User-Definable Port - You may now enter the address and IRQ
    number of your serial port as one of the addressable ports, in case
    yours is not already on the list.

    * New Write-To-Modem function improves the passing of commands
    to your modem. Modem commands are now given slower to the modem
    to insure that the modem will receive the command. This will 
    solve some problems we were having with new fast machines 
    sending the commands too fast.


                        NEW SCRIPT FEATURES

    * The Default display mode in the RASL script is now NOSHOW.

    * The WAIT FOR HEX command will now catch ANY hex character...
    rcom used to "eat" some characters up before the script saw them.
    
    * Bug fix: The "into" parmeter on the PROMPT command didn't 
    always work right.

                            MISCELLANEOUS

    * Menus now pop up during editing of your parameter file to allow
    you to choose, for example, your file transfer protocol from a list.

    * Color customization has been changed/improved.

    * New command line option: /HANGUPROMPT . Use this if you want 
    RCOM to prompt you "hangup the phone?" before it quits. This gives
    the user control over whether rcom will try to hang up or not.
    Especially on a direct attach, RCOM will quit a lot faster when
    it doesn't try to hang up.
    
    * The command line option /TAKEOVERPASS has been added back in
    so that you can have separate passwords for file transfer and
    remote takeover.

    * The command line options /BRESIDENT and /HOT now work only
    for the Overlay version of RCOM. The full version has gotten
    too large and can no longer be run as a resident program.

    * RCOM will no longer use the mouse unless you specify /MOUSE
    on the command line. Some users (especially windows) were 
    having problems with RCOM sensing mouse clicks they didn't
    mean for it to. This should take care of that.
 
                           INSTALLATION

    * Installation is now accomplished using the LHA archiving 
    software which is included with RCOM. It is shareware and may
    be freely used. Please read the documentation, LHA213.DOC, if
    you intend to use it for anything other than installing RCOM.


* NEWS 4/1/93 RCOM-2/PC VERSION 2.38

    * IND$ file transfer NOW READY! Do file transfer with any IBM 
    Mainframe that supports IND$FILE.

    * VT100 terminal emulation has been improved, and now has ANSI color
    capabilities.

    * The Auxiliary Device Function now does a simple capture of all
    text for all terminal types.

    * A Dialing Directory Function has been added to the main menu. You
    may use ALT-I to access it from Online Mode.

    * Alt-P from Online Mode now immediately pops into the parameter
    screen for editing.

    * The "Hang-Up" function has been improved to work on some modems
    that previously had problems with it.




* NEWS 4/1/92 RCOM-2/PC VERSION 2.37

    NEW FEATURES:
    ------------
    
    * Script encryption.  You may now encrypt your scripts so 
    no one can read them or watch them execute.  The program that
    does the encryption is called "ENCRYPT.EXE" and can be run from
    inside RCOM with the 'Go to Dos' function.  The decrypting is
    built into RCOM itself.

    * Colors are now customizable!  You can now change all of RCOM'S
    colors. Menus, messages, status line, script display, and 
    terminal emulation colors are all user-changable.
    
    * Main Menu options which were only accessible by using Page-Down
    while on the menu are now accessible by a single numeric keystroke.

    * The Keyboard size is automatically detected by RCOM-2/PC and the
    proper keyboard file is used (extended or not).  This eliminates 
    the need for the 'F11YES' and 'F11NO' batch files.

    * The numeric keypad 'Enter' key on extended keyboards may now
    be used to make selections from the main menu.


    SCRIPT ENHANCEMENTS:
    --------------------
    
    *New Command: INVISIBLE ON/OFF  works like the /invisible command
    line parameter to turn the display of data coming in the port on
    or off.  Use it to hide a logon procedure or other automated task 
    you don't want the user to see.

    *'ELSE' command has been added to the RASL 'IF' statment.

    *You can now have up to 20 CASES in your RASL SCAN.  There was
    a limit of 10 in version 2.36.

    *The WAIT command has a new parameter. You can now say "WAIT 5
    FOR HEX string" to wait for a hex string or character to come in.
    This allows you to scan for unprintable characters.

    *You can now access all of your parameters from inside your script.
    
    *The MESSAGE command has a new parameter.  The new format is
    MESSAGE string FOR expression, where expression is the number of
    seconds you want the message to remain on the screen.

    
* NEWS 5/18/91 RCOM-2/PC VERSION 2.36 bug fixes

    * A bug was fixed: If you had more than one 'NONE' key in
    your keyboard file, when selecting a 'NONE' key from the
    keyboard help screen or from a script, the wrong hex code
    was being sent out.


* NEWS 3/19/91 RCOM-2/PC VERSION 2.36 bug fixes
    
    * RASL string concatenation in the format: a = "hi"+thestr
    was only working if there were no spaces between the final quote
    mark and the '+' sign.   This has been corrected.

    * VT100 printing function has been improved.

* NEWS 2/21/91 RCOM-2/PC VERSION 2.36 bug fixes

    * A bug when using MODE BW80 and a RASL script menu was fixed, 
    where the menu selections were not high-lighted correctly.


* NEWS 1/1/91 RCOM-2/PC VERSION 2.36 HAS MAJOR CHANGES!

            HOW ABOUT NEW STUFF?    WOW! COOL! NEATO!
            --------------------

    * HANG UP function added to main menu!

    * BLANK (Clear) screen function added to main menu!

    * The status line at the bottom of the screen now contains
    lots of information:  COMPORT, BAUD RATE, CHAR & STOP BITS,
    PARITY, and PROTOCOL, as well as TERMINAL TYPE.  The status 
    line is also visible even when you have the menu up. 

    * Any parameter settings changed from scripts will be RESET
    if you go to your parameter screen from the main menu.

    * During AFTP file transfers, elapsed time will be shown on
    status line (unless /NOPEEK option used).


    * NEW SCRIPT COMMANDS:          
        * DODOS string   - do any dos command (batch file,etc)
                   Example: DODOS "DIR *.DOC"

        * TERMINAL string - change your terminal type
                    Example: TERMINAL "VT100"

        * BITS string     - change char & stop bits
                    Example: BITS "8,1"

        * PARITY        - change parity                 
                  Example: PARITY "None"

        * TRACE ON/OFF  - turn trace function on/off
                  Example: TRACE ON

        * ESC ON/OFF    - disable/able the ESC key in script
                  Example: ESC OFF
                  Watch out!  After you turn ESC off,
                  there's literally no escape....
                  It is set back on at script end.

    * NEW SCRIPT FEATURES:

        * convert strings to integers, integers to strings
          Example:      thenum = 5
                thenumstr = thenum $  ;make a string "5"
                anothernum = thenumstr #  ;make number

        * concatenate strings (in equates only)
          Example:     themsg = "hi"
                   newmsg = themsg+" there"
                   ;newmsg is now "hi there"

        * 'merge' data from a file into a string variable
          Example:      MERGE 1 FROM "DATA.FIL" into thestr
                ; thestr now contains next line from data.fil
                ; data in file must be in quotes

        * prompt for a input into a string variable
          Example:      PROMPT "Enter the file name: " into thefile
                ; user enters filename  

    * The manual has been completely re-written. 

    * Use the command line option /\ to run RCOM on the remote PC 
    during a remote takeover without ending the takeover.

    * The start and end of scripts is now logged in the journal.    
    
    * NEW COMMAND LINE OPTION!  /KEYMACROS will cause RCOM to use
    the regular bios routines to read the keyboard instead of low
    memory.  This should enable your resident keyboard macro programs
    to work properly inside of RCOM. However, using this option may
    slow down keyboard response, especially for extended F11 & F12 keys.


        ALL KNOWN SCRIPT BUGS FIXED!
        ---------------------------
    * Sometimes, if you ran a script over and over again,
    it would get 'lost' - lose a variable, or other strange
    behavior.  This has been corrected.

    * When using a variable equate inside a case statement, 
    it would seem to know the variable even if it never got
    to that case.... Now it will not.

    * Naming a variable on a line will now send the string
    that the variable contains out the port as stated in the
    documentation.  However, NO CARRIAGE RETURN will be sent 
    after it.

    * REMOTEPATH and REMOTEFILE now work correctly with the
    RECEIVE command (with AFTP protocol).

    * If you use the /NODISPLAY command line option, the 
    script commands MESSAGE and MENU will now go ahead and
    display anyway.  Any script error will also.

    * MESSAGE with string longer than 75 characters will 
    simply truncate the message. 

    * Those extra blue boxes you sometimes saw on the script
    display are gone.

    * READSCREEN would sometimes 'lose' variables.  This has
    been corrected.

    * Blank expressions '()' now cause an error message.

    * CASE now works with string variables.

    * You can now have comments and/or blank lines inside
    MENU/ENDMENU.

    * PAUSE now works correctly, even from inside loops.
    Also the Display mode (NOSHOW or SHOW) will remain.


        ALL OTHER (KNOWN) BUGS FIXED TOO!
        ---------------------------------

    * Using the /NODISPLAY and then cancelling your initial
    script could cause your system to hang.  Now it will 
    override the /NODISPLAY option if you cancel the initial
    script.

    * Using the /NODISPLAY option when calling resident RCOM
    from your own program could cause your system to hang.
    This has been corrected.

    * When you used the hot-key to call resident RCOM, and then
    pressed page-up to get the menu, you could get a memory
    error.  This has been corrected.

    * If you didn't have a journal file, and you got a framing
    (or other uart error) you could get a NULL POINTER ERROR        
    when you quit. This has been corrected. 

    * Using ALT-O to run a script and then using ALT-P to
    change parameter files would run the script named when
    you said ALT-O instead of the one in the new parameter
    file. This has been corrected.

    * VT100 terminal emulation has been fixed up.


        ALSO, LOTS OF CHANGES IN V2.36!
        -------------------------------

    * COMPATIBILITY WITH RCOM1 (Very old Rcom for the PC) has
    been REMOVED.  This is to conserve memory and time.  This 
    simply means that Rcom-2 can no longer do file transfers
    with Rcom-1.

    * COMPATIBILITY WITH very old RCOMHFT (Host File Transfer)
    has also been REMOVED.  All 1.xx versions of RCOM/MF should
    work ok.

    * When using the RECEIVE menu command, and you are prompted
    for a filename to receive data into, RCOM will ask for
    confirmation of replacement if the file exists.

    * When prompted for a parameter file name, you must now 
    enter an existing file name.  If the existing file is
    not a legal parameter file, you will get an error message.

    * If you enter a wildcard filename at the parameter file
    name prompt (or use the INS key), you will be given a list
    of files which match the wildcard AND ARE parameter files
    from which to choose. Their Title line is included. 

    * The Parameter file will NOT BE RE-WRITTEN unless you 
    make CHANGES TO IT. It used to get re-written every time
    you looked at it.

    * The program should now run slightly faster, especially on
    floppy based systems.

    * After you edit your parameters and are prompted for a file
    name to save them under, and you change the default name,
    the program will check to see if the file exists.  If it 
    does, you will be asked 'Replace? (y/n)'.  If it doesn't,
    a new file will be created.

    * Speed keys ALT-R (Receive) and ALT-S (Send) now actually
    perform the file transfers. They used to only change the
    send and receive file names.

    * Command line options which set parameters are now checked
    to make sure they are legal. Defaults will be used if not.
    
    * KERMIT file transfer has been cleaned up.

    * User-created RASL menus now clear the screen directly
    underneath them before displaying.

    * If you get the message 'waiting for carrier to drop' when
    you exit RCOM, it should now exit faster. (If you get this
    message when you are connected to a modem, change your
    modem's carrier detect setting.)

    * If the port specified in the parameter file is not found
    when RCOM starts up, it will now go through all the ports
    until one is found. It used to go back to COM1 and start
    from there.     
    
    * If you are doing an AFTP file transfer with a remote RCOM
    and the remote has his protocol set to some other protocol
    (such as KERMIT), it will be overridden for you.


* NEWS 6/30/90 RCOM-2/PC 2.35 INSTALLATION

    The installation program for both the site license and RCOM-2/PC
    has been changed so that it doesn't use the BIOS to write the serial
    number on track 0.  This was causing machines with incompatible
    floppy controllers to not be able to install RCOM.  Now, you 
    should be able to install RCOM from any floppy drive.  Remember
    to request RCOM on 3.5 inch disks or 1.2M disks if you need them.


* NEWS 5/14/90 RCOM-2/PC SITE LICENSE PROGRAM

    The Site License Program has been re-written so that the
    operator may create Rcom-2/PC on any legal path or disk drive.
    It also looks and behaves much better, allowing the user to
    recover easily from errors.


* NEWS 5/7/90 RCOM-2/PC 2.35
    
    Users of Toshiba Laptop Computers with internal Modems had a 
    problem with Rcom not always being able to initialize the
    communications port.  We have changed Rcom so that it will 
    attempt to open the port 100 times before giving up. It only
    takes a few seconds, and has been successful 100% of the time
    in opening the port in testing with the Laptops.   We are not
    aware of any other hardware having similar problems, but if
    you have a problem that sounds like that, give this a try.

    2.35 is ready to release, and will be added to the Distribution 
    system today.

* NEWS 3/28/90 RCOM-2/PC 2.35

    Beta Test of 2.35 is ready, with the Kermit File Transfer Protocol.

    Also, the VT100 terminal emulation has been re-written, with improved
    graphics support.

    The tty emulation has also been upgraded.

    4-16-90 Bug in script was fixed, where sometimes it would not accept some
    string variable name.


*  NEWS 2/26/90 RCOM-2/PC 2.34

    Releases after this date have the following new script commands:

        1) DOBREAK sends a break signal to the host (added Feb
           26, 1990).
    
        2) WAIT FOR FT waits for a file transfer on the mainframe
           to complete before continueing with the script. (added
           Jan 1990).


*  NEWS 11/21/89 RCOM-2/PC 2.34

    Releases after this date have the following fixes:

    1.  A video display bug occuring on old IBM XT's with CGA monitors
        AND a ROM date of Oct or Nov 82 has been corrected.

    2.  The F11 and F12 keys response time has been speeded up.  It
        used to be that the user would have to press them several
        times during terminal emulation to get any response.  This
        may also speed up response in general depending on the speed
        of the PC you are using.  Could also correct overruns.

    3.  A bug which occured only while doing a file transfer from 
        a mainframe to a PC file named "PRINT" (which causes the 
        file to go directly to a printer), has been fixed.  This bug
        would add an extra carriage return/line feed in the middle 
        of a report.

*  NEWS 10/1/89 RCOM-2/PC 2.34
    
    1.  Version 2.34 has MAJOR enhancements to the RASL script 
        language:

        a) CALL/RETURN commands allow you to call subroutines

        b) you may now have integer and string variables

        c) READSCREEN is a new command which allows you to capture
           a portion (or all) of the screen into a file or string
           variable.

        d) MENU/ENDMENU allows you to design a user-menu which
           you choose from with a highlighted bar.

        e) RESTART has been added.

        f) PAUSE UNTIL NOCARRIER allows a script to pause until
           the line is dropped and then resume.

    2.  When you are doing a file transfer in XMODEM:  If you are
        signed on to a system which requires you to have your bits
        set to anything other than 8,1, RCOM will now automatically
        change to 8,1 for the file transfer, and then back again.
        This is because XMODEM must have bits 8,1 for the file
        transfer to work.
    
    4.  The PC manual has been re-written, and a quick referenc
        card is now included which lists the speed keys, all the
        Script commands, command line options, and HYDRA 3270 keys.

    5.  The Programs which allow you to interface with a resident
        version of RCOM are no longer on the distribution disks.
        However, they are still available for downloading from
        the CVI bulletin board.


